For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList agent exports
      • GETGet an agent export
      • GETDownload an agent export
      • DELDelete an agent export
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceAgent Exports

List agent exports

GET
https://api.x.flatfile.com/v1/agent-exports
GET
/v1/agent-exports
$curl https://api.x.flatfile.com/v1/agent-exports \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Example0
1{
2 "data": [
3 {
4 "id": "us_agx_YOUR_ID",
5 "agentId": "us_ag_YOUR_ID",
6 "exportType": "AUTOBUILD_INLINED",
7 "accountId": "us_acc_YOUR_ID",
8 "environmentId": "us_env_YOUR_ID",
9 "createdAt": "2023-10-30T16:59:45.735Z",
10 "updatedAt": "2023-10-30T16:59:45.735Z"
11 }
12 ],
13 "pagination": {
14 "currentPage": 3,
15 "pageCount": 50,
16 "totalCount": 100
17 }
18}
Was this page helpful?
Previous

Get an agent export

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Query parameters

environmentIdstringOptional
Environment ID
agentIdstringOptional
Agent ID
pageSizeintegerOptional

Number of logs to return in a page (default 20)

pageNumberintegerOptional
Based on pageSize, which page of records to return

Response

This endpoint returns an object.
datalist of objects
paginationobject
pagination info